import { boot } from "quasar/wrappers";
import VueTelInput from "vue-tel-input";

export default boot(({ app }) => {
  const options = {
    mode: "auto",
    dropdownOptions: {
      showDialCodeInSelection: true,
      showFlags: true,
      showDialCodeInList: true,
    },
    autoFormat: true,
  };

  app.use(VueTelInput, options);
});
