import { countryFlagObj } from "src/constants";

import * as R from "./regex";

export function getCountryCode(countryNumber) {
  return (
    countryFlagObj[countryNumber] || countryFlagObj["default"](countryNumber)
  );
}

export function handleValidCountryCode(countryNumber) {
  const validCountryCodes = ["34", "351", "33"];
  const isCountryCodeValid = validCountryCodes.includes(countryNumber);

  return isCountryCodeValid;
}

export function transformPhoneVal(val) {
  const obj = {
    length: val.replace(R.selectSpaceAndSum, "").length,
    val: val.replace(R.selectParenthesesSpacesDashes, ""),
  };

  return obj;
}

export function handlePhoneVal(input) {
  const { length, val } = input;

  return length === 0;
}
